Search
K
Embedded Finance

Create partner token

Create a partner token to be used to authenticate requests to partner scoped endpoints.

This should be called server-side. Never expose the partner_id or partner_secret or the resulting partner
token to the front end.

Requests are limited to 10 requests per IP per hour.

post
https://api.wayflyer.com/financing/partner-token/

Headers

API-Versionstring

Allowed values:1

Body

application/json

PartnerTokenRequest

partner_idstringrequired

An identifier for the partner created and shared with the partner by Wayflyer during onboarding. Never expose this to the front end.

partner_secretstring(password)required

A secret that can be used to authenticate requests to partner scoped endpoints. Never expose this to the front end.

Response

application/json

OK

PartnerTokenResponse

tokenstringrequired

A token that can be used to authenticate requests to partner scoped endpoints. Never expose this to the front end

expires_inintegerrequired

The number of seconds until the token expires

post/partner-token/

Body

{ "partner_id": "partner_id", "partner_secret": "partner_secret" }
 
application/json

StartHostedApplicationResponse

object
nextstringrequired

The URL to redirect to the user to after making this API call

application_idAny Of
required

The ID of the hosted application created by this API call

Variant 1string(uuid)
Example

CanadianProvinceCode

string

Allowed values:CA-ABCA-BCCA-MBCA-NBCA-NLCA-NSCA-ONCA-PECA-QCCA-SKCA-NTCA-NUCA-YT

CompanyType

string

Allowed values:LPLLPLLCINCCOOP

HostedApplicationCompanyData

object
company_nameAny Of

The name of the company

Variant 1string
company_currencyAny Of

One of a supported subset of ISO 4217 codes for the currency the company uses primarily

SupportedCurrencyCodestring

Allowed values:USDCADAUDEURGBPSEKDKK

primary_store_urlAny Of

The URL of the primary store

Variant 1string
company_annual_revenueAny Of

Company’s annual revenue to the nearest whole number in company_currency

Variant 1integer
company_onboarding_dateAny Of

The date the company onboarded to the partner

Variant 1string(date)
company_incorporation_dateAny Of

The date the company was incorporated

Variant 1string(date)
countryAny Of

One of a supported subset of ISO-3166-1 alpha-2 codes for the country the company is located in

SupportedCountryCodestring

Allowed values:USCAGBIEBENLESDESEDKAU

stateAny Of

The state the company is located in

USStateCodestring

Allowed values:US-ALUS-AKUS-AZUS-ARUS-CAUS-COUS-CTUS-DEUS-FLUS-GAUS-HIUS-IDUS-ILUS-INUS-IAUS-KSUS-KYUS-LAUS-MEUS-MDUS-MAUS-MIUS-MNUS-MSUS-MOUS-MTUS-NEUS-NVUS-NHUS-NJUS-NMUS-NYUS-NCUS-NDUS-OHUS-OKUS-ORUS-PAUS-RIUS-SCUS-SDUS-TNUS-TXUS-UTUS-VTUS-VAUS-WAUS-WVUS-WIUS-WYUS-DCUS-ASUS-GUUS-MPUS-PRUS-VI

company_typeAny Of

The type of company

CompanyTypestring

Allowed values:LPLLPLLCINCCOOP

Example